Home of the Squeezebox™ & Transporter® network music players.
Page 3 of 43 FirstFirst 1234513 ... LastLast
Results 21 to 30 of 422
  1. #21
    Senior Member
    Join Date
    Feb 2009
    Posts
    234
    Quote Originally Posted by digimaster View Post
    I think that you must look at the settings of you're Qnap device. Think that something is causing this. Are you using some kind of Optware software?

    Logon a ssh shell and do set, and have a look at the local settings.
    I don't have much running on my qnap other than LMS and twonky. Can you please give me a little more detail as to what I should do? I know how to ssh, but what should I do then?

    Thanks a lot.

  2. #22
    Senior Member
    Join Date
    May 2017
    Location
    Netherlands
    Posts
    248
    Out now Qnap Optware-NG version 2.0.
    The best solution the get the best out of you`re LogitechMediaServer.
    It has support for flac, lame, mac(ape) and many more

    ( I would suggest Optware-NG, as it has the most audio programs.)

    maintainer of QLogitechMediaServer, QOptware-NG and QAutoSub.

    Qnap TS-453a, with LogitechMediaSever 7.9.1 ( with spotty and youtube )
    Several raspberry with hifiberry amp+ and picoreplayer.
    Love logitechmediaserver for it flexibel way, to play music from different sources.

  3. #23
    Member
    Join Date
    Dec 2007
    Location
    Toronto, Canada
    Posts
    37

    Thx

    Just installed this app on my new TS-251+, works great right out of the box.

    Should I add your Optware package, what does it add?

    Thx
    Server: QNAP TS-251+ LMS 7.9.1
    Living room: SB Touch >> Audioengine 5+
    Basement: SB3 >> Alesis M1 Active MkII
    Sunroom: piCorePlayer 1.19 >> Audioengine A2+
    Bedroom: Squeezebox Boom
    Studio: Squeezebox Boom

  4. #24
    Senior Member
    Join Date
    May 2017
    Location
    Netherlands
    Posts
    248
    Quote Originally Posted by cphan View Post
    Just installed this app on my new TS-251+, works great right out of the box.

    Should I add your Optware package, what does it add?

    Thx
    It's nice te read, that it works on you're Qnap. And yes tried to make it work right out of the box.

    The Optware gives you lame support, and most common audio programs are avaliable in the repository of Optware-ng. That the reason why I prefer Optware-ng above other solutions.

    maintainer of QLogitechMediaServer, QOptware-NG and QAutoSub.

    Qnap TS-453a, with LogitechMediaSever 7.9.1 ( with spotty and youtube )
    Several raspberry with hifiberry amp+ and picoreplayer.
    Love logitechmediaserver for it flexibel way, to play music from different sources.

  5. #25
    Junior Member
    Join Date
    Jan 2013
    Posts
    6

    Does this work on a QNAP TS-219PII Running Version 4.33.0404

    Hi

    Before I take the plunge and unistall my old squeezebox QPG can you confirm if this will work on my QNAP TS-219PII Running Version 4.33.0404 software?

    Thanks

  6. #26
    Senior Member
    Join Date
    May 2017
    Location
    Netherlands
    Posts
    248
    Quote Originally Posted by boyracer View Post
    Hi

    Before I take the plunge and unistall my old squeezebox QPG can you confirm if this will work on my QNAP TS-219PII Running Version 4.33.0404 software?

    Thanks
    As i describ in the first message, do a logon by ssh shell on you`re Qnap.
    Do uname -m, it must then show x86_64, if so you can install it.

    Other way is installing it through the Qnap appstore, if the requirements are not good it will stop with a error.
    Important SSOTS/SSODS and Qperl or Perl must not be installed on you`re Qnap system.
    So if they are, they must a uninstalled first.
    Last edited by digimaster; 2017-12-15 at 16:28.

    maintainer of QLogitechMediaServer, QOptware-NG and QAutoSub.

    Qnap TS-453a, with LogitechMediaSever 7.9.1 ( with spotty and youtube )
    Several raspberry with hifiberry amp+ and picoreplayer.
    Love logitechmediaserver for it flexibel way, to play music from different sources.

  7. #27
    Junior Member
    Join Date
    Jan 2013
    Posts
    6
    Thanks Digimaster. My QNAP is based on the Arm chip. Would you mind sharing the code you used so I could look at it and see if I might be able to adapt it for an Arm based QNAP. I'm not promising anything as my programming is mostly database interacting web applications, but until I see it I won't know if I can try it.

  8. #28
    Senior Member
    Join Date
    May 2017
    Location
    Netherlands
    Posts
    248
    Oke will try in my best English.

    One of the most important thing, don`t use any addon programs, try to make it depend on tools and programs suplied bij QTS from Qnap.
    Otherwise it wont work after a upgrade from QTS.

    First thing is a good perl, which works with lms, and is stand a lone, so no optware or entware solutions are needed.
    Best is a perl, on the /usr directory of you`re Qnap.

    Then get and install a good optware solution, where the gcc compiler works.
    Important when gcc is instaled in /opt/bin do /bin/ln -s /opt/bin/gcc /opt/bin/cc ( as most perl packets are compiled with the cc compiler )

    For the next steps, use the same system and gcc compiler version. ( otherwise perl will give a error )

    Then download the source, including the source for openssl.
    Get the stabiel and the lasttest releases, otherwise spotty or youtube will complain.

    Then extract the source in there own directory, and do chown -R admin (sourcedirectoryname)\ , and chmod -R 0775 (sourcedirectoryname)\
    This is very important, otherwise you can get error while compiling a program.

    Then first make a directory in /opt like /opt/openssl.
    Then compile you`re openssl source like ./config --prefix=/opt/openssl -fPIC,
    If no error make && make test && make install && make clean

    If any error try solving it, where google is youre best friend. ( It took me serval weeks, and lots off reading )

    Then go to the Mozilla-CA source and do /pathto/perl makefile.pl
    If no errors make && make install && make clean

    Then go to the source Net-SSLeay-1.81, an d do OPENSSL_PREFIX=/opt/openssl /pathto/perl makefile.pl
    If no errors make && make test && make install

    Then go to the IO-Socket-SSL source and do /pathto/perl makefile.pl
    If no errors make && make test && make install

    And now if there where no errors, start or restart you`re lms.
    You should now be able to use spotty and youtube.

    One off the biggest mistake SSOTS/SSODS had, was al those small addon packets and programs.
    They will no survive a upgraded for QTS, also if it depends on other programs from optware or entware.
    And programs like bash, can then be infected if not updated.

    Always use the tools/programs from QTS/Qnap and in a script included path to program/tool.
    And keep it simple not to fancy, should work out off the box, and after a upgraded off QTS.

    Let me know if you could get it working. My knowledge on arm Qnap nas systems is to little.
    But maybe if you get it working, we could look to included it in the QPKG.
    At the moment looking on a way to also make it work on x86 based Qnap nas systems.

    Greeting


    Quote Originally Posted by boyracer View Post
    Thanks Digimaster. My QNAP is based on the Arm chip. Would you mind sharing the code you used so I could look at it and see if I might be able to adapt it for an Arm based QNAP. I'm not promising anything as my programming is mostly database interacting web applications, but until I see it I won't know if I can try it.
    Last edited by digimaster; 2017-12-18 at 13:02.

    maintainer of QLogitechMediaServer, QOptware-NG and QAutoSub.

    Qnap TS-453a, with LogitechMediaSever 7.9.1 ( with spotty and youtube )
    Several raspberry with hifiberry amp+ and picoreplayer.
    Love logitechmediaserver for it flexibel way, to play music from different sources.

  9. #29
    Senior Member
    Join Date
    May 2017
    Location
    Netherlands
    Posts
    248
    Thanks to Spacehead, we found that the supplied sox in the lms Bin/x86_64 is not working.
    As it seems to mis libgomp.so.1 file, which is used by ffmpeg.
    As it`s a file which comes with the LMS release, they should fix it. ( report a issue on the git website )

    But due to this, some playback will not be done by LMS. (WAVfiles, ogg/vorbis).

    Found a workarond to make it work on Qnap.
    As i`m not a big fan if fix`s, want to keep Qnap LogitechMediaServer simple and clean.
    Until this problem is solved, from the next release it will included a fix, which will relay on Qffmeg to be install on the Qnap.
    And hopefully the guys from LMS, will fix the x86_64 sox soon, so we don`t need it anymore.

    Here you can find the treat regarding the issue Spacehead found

    Spacehead and all the other in the treat thanks for the input.

    And please if there is something, please place it in this treated, as i`m not always reading all other treats.
    Beside Qnap_LogitechMediaServer and maintaining Optware-NG, work and follow a studie.
    Last edited by digimaster; 2017-12-20 at 13:52.

    maintainer of QLogitechMediaServer, QOptware-NG and QAutoSub.

    Qnap TS-453a, with LogitechMediaSever 7.9.1 ( with spotty and youtube )
    Several raspberry with hifiberry amp+ and picoreplayer.
    Love logitechmediaserver for it flexibel way, to play music from different sources.

  10. #30
    Senior Member
    Join Date
    Apr 2005
    Location
    Milwaukee, WI USA
    Posts
    547
    Hi, I have a TS-251A with Celeron N3060 X86-64. Some questions: 1) Since I currently use SSOTS, will using DIGIMASTER package use same install location? 2) If so, will SSOTS cause problems if not uninstalled? 3) In App Center I have LMS listed as 7.7.2 but it stops and starts my current version 7.9.1 so I see no way to use DIGIMASTER package from this App Center as DIGIMASTER stated it could be; do I have to REMOVE LMS from App Center and if so will this cause any problems since I use SSOTS currently? Thx

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •